Bug 24463 - Weird character translations
Summary: Weird character translations
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: less   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-20 18:38 UTC by Michal Jaegermann
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 22:48:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Norwegian text (47 bytes, patch)
2001-01-31 22:48 UTC, Trond Eivind Glomsrxd
no flags Details | Diff

Description Michal Jaegermann 2001-01-20 18:38:22 UTC
In a gnome-terminal window where font used is from koi8-r charset
'less' precedes every string of cyrilic characters with an uppper
case 'A'.  This effect is at its best if one tries to send an output
from 'od -c' into less. :-)  Explicit changes in LANG environment
variable (I tried a few, including ru_RU) do not have any visible
effect apart of things like LANG=C where various characters are treated
as binary.  OTOH using -K with various 8-bit encodings, including
'less -K latin1',  removes any display surprises regardless of a value
of LANG.  The above is likely to have a disconcerting effect on
"uninitiated".

If there is no handy test input around a file attached to #16978
can be used for such purposes.

   Michal
   michal@harddata.com

Comment 1 Karsten Hopp 2001-01-22 15:22:56 UTC
less uses the variables LESSCHARSET and JLESSCHARSET to determine the
charset. Please set one of those to koi8-r for the time being. 
It seems that the japanese patch breaks things, we will look for an solution.

Comment 2 Trond Eivind Glomsrxd 2001-01-31 22:44:33 UTC
It also breaks latin1 charactersets... it puts an "A" in front of sequences of
non-ASCII characters.

Comment 3 Trond Eivind Glomsrxd 2001-01-31 22:48:49 UTC
Created attachment 8619 [details]
Norwegian text

Comment 4 Karsten Hopp 2001-02-01 16:26:17 UTC
I inserted an fallback if no charset could be found. Seems to work now,
but please test less-358-14.i386.rpm and reopen this bug if this breaks
anything.


Comment 5 Trond Eivind Glomsrxd 2001-02-01 16:27:41 UTC
It seems to work nicely now.


Note You need to log in before you can comment on or make changes to this bug.